| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csProcessorCapability Class Reference

This class is used to identify capabilities in the processor such as support for MMX and SSE. More...

`#include <csutil/csprocessorcap.h>`

List of all members.

## Public Member Functions
| csProcessorCapability ()
| Constructor.
| ~csProcessorCapability ()
| Destructor.
## Static Public Member Functions
static const char * | GetProcessorName ()
static bool | HasMMX ()
static bool | HasSSE ()
static void | Initialize ()
| Initialize the internal data.

## Detailed Description

This class is used to identify capabilities in the processor such as support for MMX and SSE.

Definition at line 32 of file csprocessorcap.h.

## Constructor & Destructor Documentation

csProcessorCapability::csProcessorCapability | ( |  | ) | `[inline]`

Constructor.

Does nothing

Definition at line 39 of file csprocessorcap.h.

csProcessorCapability::~csProcessorCapability | ( |  | ) | `[inline]`

Destructor.

Does nothing

Definition at line 46 of file csprocessorcap.h.

## Member Function Documentation

static void csProcessorCapability::Initialize | ( |  | ) | `[inline, static]`

Initialize the internal data.

Query the processor and see what we get

Definition at line 53 of file csprocessorcap.h.

The documentation for this class was generated from the following file:

- csutil/csprocessorcap.h